'==========================
' NAME: AddDriverWinPE.vbs
' AUTHOR: Frank Contreras
' DATE  : 10/17/2008
'==========================

Option Explicit

Dim objFSO, objFile, objShell
Dim strWinpeFile, strWinpeMount, strImagexFile, strDrivers, strTools, strPEImg
Dim intYN, strQT

strQT          = Chr(34)
strDrivers    = "C:\3112Raid_x86_10600_logo\*.inf"
strTools      = "C:\Program Files\Altiris\eXpress\Deployment Server\WAIK\Tools"
strWinpeFile  = "\PETools\x86\winpe.wim"
strWinpeMount = "\PETools\x86\mount"
strPEImg      = "\PETools\peimg.exe"
strImagexFile = "\x86\imagex.exe"

Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objShell = CreateObject("WScript.Shell")

'Verify Wim File
If not objFSO.FileExists(strTools & strWinpeFile) Then
  WScript.Echo "WinPE 2.1 does not appear to be installed."
  WScript.Echo "Check the file path and look for the winpe.wim file."
  WScript.Quit
End If

'Backup File
intYN = MsgBox ("Backup winpe.wim?", vbYesNo," ")
If intYN = 6 Then
  WScript.Echo "  Backing up winpe.wim to winpe.wim-"& Year(Now) & Month(Now) & Day(Now) & "-" & replace(replace(Time,":","-")," ","")
  objFSO.CopyFile strTools & strWinpeFile, strTools & strWinpeFile & "-" & Year(Now) & Month(Now) & Day(Now) & "-" & replace(replace(Time,":","-")," ","")
End If

'Create WinPE mount directory
If Not objFSO.FolderExists(strTools & strWinpeMount) Then
  WScript.Echo "  Creating WinPE mount directory"
  objFSO.CreateFolder(strTools & strWinpeMount)
End If

'Mount winpe image
WScript.Echo "  Mounting winpe image.."
objShell.Run strQT & strTools & strImagexFile & strQT & " /mountrw " & strQT & strTools & strWinpeFile & strQT & " 1 " & strQT & strTools & strWinpeMount & strQT, 2, True

'Install Drivers
WScript.Echo "  Installing drivers from " & strDrivers
objShell.Run strQT & strTools & strPEImg & strQT & " /inf=" & strQT & strDrivers & strQT & " /image=" & strQT & strTools & strWinpeMount & strQT, 2, True

'Unmount winpe image and commit changes
WScript.Echo "  Committing changes and unmounting winpe image."
objShell.Run strQT & strTools & strImagexFile & strQT & " /unmount /commit " & strQT & strTools & strWinpeMount & strQT, 2, True
